権限グループの一覧 (V2)
This operation lists all privilege groups in the current database.
POST/v2/vectordb/privilege_groups/list
https://${CLUSTER_ENDPOINT}
📘ノート
${CLUSTER_ENDPOINT}を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。- エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要
認証トークンには、適切な権限を持つ API キー、または コロンで連結されたユーザー名とパスワードのペア(例: username:password)を使用します。プロジェクトエンドポイントを使用している場合は、十分な権限を持つ有効な API キーのみが使用できます。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
dbNamestring
データベースの名前。
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/privilege_groups/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{}'
レスポンス200 OK - application/json
なし
codeinteger
(近日追加予定)
dataarray
[]dataobject
privilegeGroupNamestring
(近日追加予定)
privilegesarray
[]privilegesstring
(近日追加予定)
エラーメッセージを返します。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。
Successjson
{
"code": 0,
"data": [
{
"privilegeGroupName": "my_priv_group",
"privileges": [
"Insert",
"Search"
]
}
]
}